From: =?utf-8?q?David_Pr=C3=A9vot?= <david@tilapin.org>
Date: Mon, 8 Feb 2016 23:45:02 -0400
Subject: Use local resolver, thus avoiding network access

---
 ProductionGuidesPratiques/hypertoile-unepage-traduc.org.sh | 5 ++++-
 ProductionGuidesPratiques/production-traduc.org.sh         | 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/ProductionGuidesPratiques/hypertoile-unepage-traduc.org.sh b/ProductionGuidesPratiques/hypertoile-unepage-traduc.org.sh
index 5a1fa5a..f2b693f 100755
--- a/ProductionGuidesPratiques/hypertoile-unepage-traduc.org.sh
+++ b/ProductionGuidesPratiques/hypertoile-unepage-traduc.org.sh
@@ -84,7 +84,10 @@ case $TYPE_DOC in
 			"$LOCAL_PATH/validation-metainfo.sh" "$DOCUMENT"
 
 			echo "Production de la version html monobloc"
-                        java -classpath /usr/share/java/saxon.jar:/usr/share/java/docbook-xsl-saxon.jar:/usr/share/java/xercesImpl.jar com.icl.saxon.StyleSheet \
+                        java -classpath /usr/share/java/saxon.jar:/usr/share/java/docbook-xsl-saxon.jar:/usr/share/java/xercesImpl.jar:/etc/xml/resolver com.icl.saxon.StyleSheet \
+                          -x org.apache.xml.resolver.tools.ResolvingXMLReader \
+                          -y org.apache.xml.resolver.tools.ResolvingXMLReader \
+                          -r org.apache.xml.resolver.tools.CatalogResolver \
                           -o "${DOCUMENT}.html" \
                           "${SOURCE}" \
                           "${FEUILLE_DE_STYLE_XSL}" \
diff --git a/ProductionGuidesPratiques/production-traduc.org.sh b/ProductionGuidesPratiques/production-traduc.org.sh
index 3f2c46e..8742a1b 100755
--- a/ProductionGuidesPratiques/production-traduc.org.sh
+++ b/ProductionGuidesPratiques/production-traduc.org.sh
@@ -114,7 +114,10 @@ case $TYPE_DOC in
 			"$LOCAL_PATH/html-en-texte.sh" "$DOCUMENT.html" "$DOCUMENT.txt"
 
                         echo "Production de la version FO"
-                        java -classpath /usr/share/java/saxon.jar:/usr/share/java/docbook-xsl-saxon.jar:/usr/share/java/xercesImpl.jar com.icl.saxon.StyleSheet \
+                        java -classpath /usr/share/java/saxon.jar:/usr/share/java/docbook-xsl-saxon.jar:/usr/share/java/xercesImpl.jar:/etc/xml/resolver com.icl.saxon.StyleSheet \
+                          -x org.apache.xml.resolver.tools.ResolvingXMLReader \
+                          -y org.apache.xml.resolver.tools.ResolvingXMLReader \
+                          -r org.apache.xml.resolver.tools.CatalogResolver \
                           -o "${DOCUMENT}.fo" \
                           "${SOURCE}" \
                           "${FEUILLE_DE_STYLE_XSL_FO}" \
